package net.northking.cctp.element.mobile.hnos;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>该组件用于鸿蒙Next手机的操控</p>
 */
@Library(scanBasePackage = "net.northking.cctp.element.mobile.hnos",infoClass = MobileHnosLibrary.class)
public class MobileHnosLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(MobileHnosLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(MobileHnosLibrary.class);
    private static final String NAME = "NK.MobileHnos";
    private static final String CH_NAME = "移动端鸿蒙Next组件库";
    private static final String VERSION = "1.0.14";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_HarmonyNext;

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }
}
